This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 46805 - Drag-and-Drop of Any Desktop Icon Crashes X
Drag-and-Drop of Any Desktop Icon Crashes X
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-30 15:58 EDT by Need Real Name
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-09 11:18:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XFree86Config-4 (16.08 KB, text/plain)
2001-07-01 11:42 EDT, Need Real Name
no flags Details
XF86Config-4.old (1.78 KB, text/plain)
2001-07-01 11:43 EDT, Need Real Name
no flags Details
XFree86.0.log (19.23 KB, text/plain)
2001-07-01 11:46 EDT, Need Real Name
no flags Details
XFree86.0.log (19.47 KB, text/plain)
2001-07-01 11:48 EDT, Need Real Name
no flags Details
July 1 XFreee86.9.log (1.04 KB, text/plain)
2001-07-01 22:38 EDT, Need Real Name
no flags Details
July 1 XF86Config-4 (1.78 KB, text/plain)
2001-07-01 22:40 EDT, Need Real Name
no flags Details
July 1 kernel, release & XFree info (393 bytes, text/plain)
2001-07-01 22:44 EDT, Need Real Name
no flags Details
Same file (393 bytes, text/plain)
2001-07-03 16:34 EDT, Need Real Name
no flags Details
Partial Solution to SiS-530 Problem (1 bytes, text/plain)
2001-08-01 15:19 EDT, Need Real Name
no flags Details
Partial Solution to SiS-530 Problem (747 bytes, text/plain)
2001-08-01 15:23 EDT, Need Real Name
no flags Details
Aug 1 XFree86.0.log (18.70 KB, text/plain)
2001-08-01 17:14 EDT, Need Real Name
no flags Details
Additoonal SiS-530 Notes (330 bytes, text/plain)
2001-08-02 15:20 EDT, Need Real Name
no flags Details
More parts of the SiS-530 Solution (288 bytes, text/plain)
2001-08-02 15:21 EDT, Need Real Name
no flags Details
Aug 2 XFree86.0.log (19.00 KB, text/plain)
2001-08-02 15:23 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2001-06-30 15:58:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.72C-CCK-MCD Caldera Systems OpenLinux [en] (X11; U;
Linux 2.2.14 i586)

Description of problem:
Drag-and-Drop of Any Desktop Icon Crashes X.
Identical problem exists in Mandrake 8.0
Video is SiS 530, which shows no problem with Win 98 or
with Caldera OpenLinux 2.4 which uses XFree86 3.3.6-3.

How reproducible:
Always

Steps to Reproduce:
1.Boot up in X mode.
2.Do just about anything, with no problems.
3.Try to drag-and-drop a desktop icon. 
4.Instantly there is a very nasty crash; can't kill X and recover.
5.Filesystem(s) are corrupted and it may not be possible to reboot.
6.Sometimes one can resurrect the system with text mode fsck, not always.
	

Additional info:
Comment 1 Need Real Name 2001-07-01 11:42:43 EDT
Created attachment 22368 [details]
XFree86Config-4
Comment 2 Need Real Name 2001-07-01 11:43:51 EDT
Created attachment 22369 [details]
XF86Config-4.old
Comment 3 Need Real Name 2001-07-01 11:46:55 EDT
Created attachment 22370 [details]
XFree86.0.log
Comment 4 Need Real Name 2001-07-01 11:48:31 EDT
Created attachment 22371 [details]
XFree86.0.log
Comment 5 Mike A. Harris 2001-07-01 12:36:56 EDT
Both config files that you have provided are *not* XFree86 4.x config
files.  Rather, they look like they were copied from a previous install
of 3.3.6 or somesuch.  XFree86 4.x does not work with a 3.3.6 config
file.

Also, you appear to be using perhaps a homemade kernel?  If so, please
use the official Red Hat kernel, at least while we troubleshoot this
problem.  Your DRM modules are not loading.  The final log appears that
your font directories may have been corrupted or the fonts.dir files
removed somehow perhaps.

Try reconfiguring your video hardware by using:
Xconfigurator --preferxf4 --nodri

If that still fails, please provide a new server log and config file
configured by Xconfigurator.

Also please attach the output of the following commands:

uname -a
cat /etc/redhat-release

rpm -qa | grep XFree86 | sort

Thanks.
Comment 6 Need Real Name 2001-07-01 22:38:41 EDT
Created attachment 22389 [details]
July 1 XFreee86.9.log
Comment 7 Need Real Name 2001-07-01 22:40:59 EDT
Created attachment 22390 [details]
July 1 XF86Config-4
Comment 8 Need Real Name 2001-07-01 22:44:05 EDT
Created attachment 22391 [details]
July 1 kernel, release & XFree info
Comment 9 Need Real Name 2001-07-03 16:34:38 EDT
Created attachment 22613 [details]
Same file
Comment 10 Mike A. Harris 2001-07-31 05:02:05 EDT
Need a log from XFree86 4.x, the logs attached are from 3.3.6
and the last one is from the installer (9).  Run XFree86 4
and then attach the resulting XFree86.0.log.

Thanks.
Comment 11 Alexei Podtelezhnikov 2001-07-31 14:36:54 EDT
Brrr... Mike, all three provided logs *are* from XFree86-4.0.3. They do lack any
useful info though.
Comment 12 Need Real Name 2001-08-01 15:19:31 EDT
Created attachment 25851 [details]
Partial Solution to SiS-530 Problem
Comment 13 Need Real Name 2001-08-01 15:23:30 EDT
Created attachment 25852 [details]
Partial Solution to SiS-530 Problem
Comment 14 Need Real Name 2001-08-01 17:14:21 EDT
Created attachment 25892 [details]
Aug 1 XFree86.0.log
Comment 15 Need Real Name 2001-08-02 15:20:31 EDT
Created attachment 25971 [details]
Additoonal SiS-530 Notes
Comment 16 Need Real Name 2001-08-02 15:21:53 EDT
Created attachment 25972 [details]
More parts of the SiS-530 Solution
Comment 17 Need Real Name 2001-08-02 15:23:48 EDT
Created attachment 25973 [details]
Aug 2 XFree86.0.log
Comment 18 Mike A. Harris 2002-02-09 11:17:57 EST
Your X server log shows at the bottom of it:

(**) Option "BaudRate" "1200"
Could not init font path element unix/:7100, removing from list!

Fatal server error:
could not open default font 'fixed'


WHich indicates that the xfs font server is not running.  Do the
following to fix that:  service xfs start

I've added the options you mentioned into the cards database used for
configuration.  XFree86 4.2.0 contains better SiS support, and new
patches are coming shortly which are supposed to improve things further
still.


Comment 19 Mike A. Harris 2002-05-20 23:19:30 EDT
There isn't really much information in this bug report to go on, so
there isn't much that can be done.  Modifying the symbolic links as
attempted above, is "not the right thing to do(TM)" regardless of how
it may or may not seem to solve the issue.

My suggestion is to try Red Hat Linux 7.3 which comes with XFree86 4.2.0
for the time being and see if that works better.  If it does not, then
I suggest trying:  Xconfigurator --preferxf4, and then adding:

Option "noaccel"

in the Device section of the XF86Config-4 file.  If this works, it will
be very slow.  To speed things up, you can fiddle with the XaaNo options
listed in the XF86Config manpage.


Note You need to log in before you can comment on or make changes to this bug.